#!/bin/bash

# Funktion zur Eingabe einer numerischen Zahl
read_number() {
    local prompt=$1
    local number
    
    while true; do
        read -p "$prompt" number
        if [[ $number =~ ^[0-9]+$ ]]; then
            break
        fi
        echo "Ungültige Eingabe. Bitte geben Sie eine numerische Zahl ein."
    done
    
    echo "$number"
}

# Funktion zur Eingabe einer Zeichenkette
read_string() {
    local prompt=$1
    local string
    
    read -p "$prompt" string
    echo "$string"
}

# Eingabe der Minuten
minutes=$(read_number "Geben Sie die Minuten ein (0-59): ")

# Eingabe der Stunden
hours=$(read_number "Geben Sie die Stunden ein (0-23): ")

# Eingabe der Tage des Monats
days=$(read_number "Geben Sie die Tage des Monats ein (1-31): ")

# Eingabe des Monats
months=$(read_number "Geben Sie den Monat ein (1-12): ")

# Eingabe der Wochentage
weekdays=$(read_number "Geben Sie den Wochentag ein (0-6, 0 steht für Sonntag): ")

# Eingabe des Befehls
command=$(read_string "Geben Sie den Befehl für den Cron-Job ein: ")

# Generieren des Cron-Jobs
cron_job="$minutes $hours $days $months $weekdays $command"

# Schreiben des Cron-Jobs in die Crontab-Datei
echo "$cron_job" >> mycron
crontab mycron
rm mycron

echo "Der Cron-Job wurde erfolgreich erstellt und der Crontab hinzugefügt."
